# List agent MCP connections

List agent MCP connections. See the OpenAPI-defined parameters, request body, and responses below.

Source: https://zild.ai/en-US/docs/api-reference/get-api-AgentMcpConnection

GET `/AgentMcpConnection`

List agent MCP connections. See the OpenAPI-defined parameters, request body, and responses below.

**OpenAPI description:** Retorna as associações entre o agente informado e conectores MCP do tenant, incluindo o estado de habilitação e os nomes das ferramentas permitidas. Requer ViewAgents.

## Authentication

**Authentication required.** Send your user API key in the X-API-Key header.

## Parameters



<table class="api-params"><thead><tr><th>Name</th><th>Location</th><th>Type</th><th>Required</th><th>Description</th><th>Constraints</th></tr></thead><tbody><tr><td><code>agentId</code></td><td><code>query</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr></tbody></table>



## Request body

This operation does not accept a request body.

## Example request



```
curl --request GET \
  --url 'https://api.zild.ai/AgentMcpConnection?agentId={agentId}' \
  --header 'X-API-Key: YOUR_USER_API_KEY'
```



## Responses



<table class="api-params"><thead><tr><th>Status</th><th>Description</th><th>Response body</th></tr></thead><tbody><tr><td><code>200</code></td><td>Conexões MCP do agente.</td><td><code>application/json</code> · <code>array&lt;AgentMcpConnectionDto&gt;</code></td></tr></tbody></table>

**Example response (200):**



```
[
  {
    "id": 0,
    "agentId": 0,
    "connectorId": 0,
    "enabled": true,
    "allowedTools": [
      "string"
    ],
    "createdAt": "2026-09-22T18:00:00Z"
  }
]
```



## Data models

`AgentMcpConnectionDto`

<table class="api-params"><thead><tr><th>Property</th><th>Type</th><th>Required</th><th>Description</th><th>Constraints</th></tr></thead><tbody><tr><td><code>id</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>agentId</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>min: 1; max: 2147483647</td></tr><tr><td><code>connectorId</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>min: 1; max: 2147483647</td></tr><tr><td><code>enabled</code></td><td><code>boolean</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>allowedTools</code></td><td><code>array&lt;string&gt;</code></td><td>Yes</td><td>—</td><td>—</td></tr><tr><td><code>createdAt</code></td><td><code>string · date-time</code></td><td>No</td><td>—</td><td>—</td></tr></tbody></table>
